com.jscape.inet.telnet

## Class TelnetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.telnet.TelnetException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TelnetTaskTimeoutException

      public class TelnetException
      extends java.lang.Exception

  TelnetException is thrown by many methods of Telnet class. The methods are masking various exception types into TelnetException, but the event message will be propagated.

  In case that the cause for throwing TelnetException is not exception but invalid client operation or server response, TelnetException message will contain textual part of server response.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetException(java.lang.String message)` Creates exception with specified message string.
    `TelnetException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception
    `TelnetException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetException

          public TelnetException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### TelnetException

          public TelnetException(java.lang.String message,
                                 java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### TelnetException

          public TelnetException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved